<!DOCTYPE html>
<html lang="en">
<head>
  <title>Pizza 365</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<body>
    <div class="container pt-3">
        <h2 style="text-align: center;">Danh sách voucher</h2>
        <table class="table table-bordered table-striped table-hover" id="voucher-table">
            <thead>
            <tr>
                <th>STT</th>
                <th>Mã giảm giá</th>
                <th>Phần trăm giảm giá</th>
                <th>Ghi Chú</th>
                <th>Ngày tạo</th>
                <th>Ngày cập nhật</th>
            </tr>
        </table>
    </div>
    <hr>

    <div class="container py-3">
        <div class="row" id="div-combopizza">
            <div class="col-sm-12 text-center p-3">
                <h2><i><b class="p-2">Chọn combo Pizza</b></i></h2>
                <span>Chọn combo pizza phù hợp với nhu cầu của bạn.</span>
            </div>
            <div class="col-sm-12">
                <div class="row" id="div-price-panel">
                              
                </div>
            </div>
        </div>
    </div>
    <hr>

    <div class="container py-3">
        <div class="row">
            <div class="col-sm-12 text-center p-3 mt-4">
                <h2><b class="p-2">Chọn đồ uống</b></h2>
            </div>
            <div class="col-sm-12">
                <select class="form-control" id="select-drink">
                    <option value="none">Chọn...</option>
                </select>
            </div>
        </div>
    </div>
    <hr>

    <div class="container py-3">
        <div class="text-center my-4">
            <h2>DANH SÁCH CUSTOMER</h2>
        </div>
        <table class="table table-bordered table-striped table-hover text-center bg-light" id="customer-table">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>Họ tên</th>
                    <th>Email</th>
                    <th>Số điện thoại</th>
                    <th>Ngày tạo</th>
                    <th>Ngày cập nhật</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>        
    <hr>

    <div class="container py-3">
        <div class="text-center my-4">
            <h2>Order By CustomerId</h2>
        </div>
        <table class="table table-bordered table-striped table-hover text-center bg-light" id="customerid-table">
            <thead>
                <tr>
                    <th>customerId</th>
                    <th>orderCode</th>
                    <th>pizzaSize</th>
                    <th>pizzaType</th>
                    <th>voucherCode</th>
                    <th>paid</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>        
</body>
<script>
    $(document).ready(function(){
        var tablevoucher = $("#voucher-table").DataTable( {
            "columns" : [
                { "data" : "id" },
                { "data" : "maVoucher" },
                { "data" : "phanTramGiamGia" },
                { "data" : "ghiChu" },
                { "data" : "ngayTao" },
                { "data" : "ngayCapNhat" }
            ]
        });
        $.ajax({
            url: "http://localhost:8080/api365/vouchers",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                tablevoucher.clear();
                //Cập nhật data cho bảng 
                tablevoucher.rows.add(responseObject);
                //Cập nhật lại giao diện hiển thị bảng
                tablevoucher.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });


        $.ajax({
            url: "http://localhost:8080/api365/combomenu",
            type: 'GET',
            data: 'json',
            success: function(res){
                console.log(res);
                displayPricePanel(res);
            },
            error: function(error){
                alert(error.responesText);
            }
        })    
        function displayPricePanel(responesText){
            "use strict";
            var vDivCoursesPopular = $('#div-price-panel');
            for(var bI = 0; bI < responesText.length; bI++){
                //chia grid system
                var vDivColSm3 = $('<div>')
                .addClass('col-sm-4')
                .appendTo(vDivCoursesPopular);
                //tạo div class card
                var vDivCard = $('<div>')
                .addClass('card')
                .appendTo(vDivColSm3);
                //card-header
                var vImgTopCard = $('<h2>', {
                    text: responesText[bI].size
                }).addClass('card-header bg-warning text-center')
                .appendTo(vDivCard);

                //card body
                var vCardBody = $('<div>').addClass('card-body list-group-flush text-center').appendTo(vDivCard);

                var vDuongKinh = ($('<p>', {
                    text: "Đường kính: " + responesText[bI].duongKinh + "cm"
                    }).addClass('card-title list-group-item'))
                    .appendTo(vCardBody);
                
                var vSuonNuong = ($('<p>', {
                    text: "Sườn nướng: " + responesText[bI].suon
                    }).addClass('card-title list-group-item'))
                    .appendTo(vCardBody);

                var vSalad = ($('<p>', {
                    text: "Salad: " + responesText[bI].salad + "gram"
                    }).addClass('card-title list-group-item'))
                    .appendTo(vCardBody);

                var vNuocNgot= ($('<p>', {
                    text: "Nước ngọt: " + responesText[bI].soLuongNuocNgot
                    }).addClass('card-title list-group-item'))
                    .appendTo(vCardBody); 

                var vDonGia= ($('<h2>', {
                        text: responesText[bI].donGia + " VNĐ"
                        }).addClass('card-title list-group-item'))
                        .appendTo(vCardBody);

                //card footer
                var vCardFooter = $('<div>').addClass('card-footer').appendTo(vDivCard);

                var vBtnChon = $('<button>',{
                    text: "Chọn"
                }).addClass('btn btn-warning w-100 fontComic')
                .appendTo(vCardFooter);
            }
        }


        $.ajax({
            url: "http://localhost:8080/api365/drinks",
            type: 'GET',
            dataType: 'json',
            success: function(res){
                console.log(res);
                loadDataDrinkToSelect(res);
            },
            error: function(error){
                alert(error.responseText);
            }
        });     
        function loadDataDrinkToSelect(paramResponse){
            "use strict";
            var vSelectDrink = $("#select-drink");
            for (var bI = 0; bI < paramResponse.length; bI++) {
                var bOption = $("<option/>", {
                    text: paramResponse[bI].tenNuocUong,
                    value: paramResponse[bI].maNuocUong
                }).appendTo(vSelectDrink);
            }
        }


        var tableCustomer = $("#customer-table").DataTable({
            columns: [
                {data: "id"},
                {data: "hoTen"},
                {data: "email"},
                {data: "soDienThoai"},
                {data: "ngayTao"},
                {data: "ngayCapNhat"}
            ]
        });        
        $.ajax({
            url: "http://localhost:8080/api365/customers",
            type: "GET",
            dataType: "json",
            success: function(res){
                console.log(res);
                tableCustomer.clear();
                tableCustomer.rows.add(res);
                tableCustomer.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });

        var tableCustomerId = $("#customerid-table").DataTable( {
            "columns" : [
                { "data" : "customerId" },
                { "data" : "orderCode" },
                { "data" : "pizzaSize" },
                { "data" : "pizzaType" },
                { "data" : "voucherCode" },
                { "data" : "paid" }
            ]
        });
        $.ajax({
            url: "http://localhost:8080/api365/order?customerId=1",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                //Xóa toàn bộ dữ liệu đang có của bảng
                tableCustomerId.clear();
                //Cập nhật data cho bảng 
                tableCustomerId.rows.add(responseObject);
                //Cập nhật lại giao diện hiển thị bảng
                tableCustomerId.draw();
            },
            error: function(error){
                console.log(error.responseText);
            }
        });
    });
</script>
</html>